# Brocraft Cobblemon Additions

## Overview

**Brocraft Cobblemon Additions** is a Minecraft Fabric mod that enhances your gameplay experience by replacing traditional village structures with unique, custom-built structures inspired by the Cobblemon universe. This mod is designed to integrate seamlessly with existing Cobblemon features, providing a fresh take on village exploration.

## Features

- **Custom Structures:** Replace vanilla village buildings with a variety of custom-designed structures, each contributing to a vibrant game world.
- **Unique Town Centers:** Enjoy specially crafted town centers that serve as focal points for villages, including the **Battlepad** and **The Lodge**.
- **Diverse Environment:** Explore different themed buildings, including cozy cottages, bustling PokéMarts, and serene retreats.
- **Varied Pathways:** Navigate the world with unique pathways that enhance the aesthetic appeal and functionality of your villages.
- **Dynamic Villager Interaction:** Integrate Cobblemon mechanics with villagers, offering unique interactions and services.

## Installation

1. Ensure you have Minecraft with Fabric installed.
2. Download the latest release of **Brocraft Cobblemon Additions** from the releases section.
3. Place the downloaded `.jar` file into the `mods` folder of your Fabric Minecraft installation.
4. Launch Minecraft and enjoy!

## Dependencies

- **Cobblemon version 1.5.2**
- **Cobblemon - Loot Balls version 1.1.4**
- **Cobblemon Pokedex (Cobbledex) version 1.1.0**
- **Cobblemon Pokenav version 0.6.8**
- **Radical Cobblemon Trainers version 0.11.1-alpha**
- **[EMF] Entity Model Features version 2.2.6**
- **[ETF] Entity Texture Features version 6.2.5**

- **it is also recommended that you use the cobblefolk datapack that comes with the cobbletowns mod for the best immersion**

## Structure Pools

This mod features multiple structure pools, including:

- **Centers:** Custom town center structures.
- **General Structures:** A variety of themed homes and buildings.
- **Paths:** Unique pathways for enhanced navigation.
- **Store Workers:** Villager NPCs for shops and services.
- **General Decor:** Decorative items to enhance the village aesthetics.
- **Lamp Posts:** Functional light sources for your villages.
- **Berries:** Custom berry structures to enrich the environment.

## License

This mod is licensed under the [MIT License](LICENSE).

## Acknowledgements

- Special thanks to the creators of Cobblemon and the Minecraft community for their inspiration and support.